%define major 28
%define sslmajor 27
%define xsslmajor 0
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libxssl %mklibname %{name}-xssl %{xsslmajor}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.2.21
%define subrel	1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Security
URL:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz.sig
Patch0:		gnutls-3.2.21-CVE-2015-0294.patch
Patch1:		gnutls-GNUTLS-SA-2015-2.patch
Patch2:		gnutls-GNUTLS-SA-2015-3.patch
BuildRequires:	liblzo-devel
BuildRequires:	nettle2.7-devel
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	pkgconfig(p11-kit-1) >= 0.2
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif
BuildRequires:  opencdk-devel
BuildRequires:	texinfo
Requires:	%{libname} = %{version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n	%{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{libxssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libxssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libssl} = %{version}-%{release}
Requires:	pkgconfig(nettle) < 3.0
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .CVE-2015-0294
%patch1 -p1 -b .GNUTLS-SA-2015-2
%patch2 -p1 -b .GNUTLS-SA-2015-3

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--with-libz-prefix=%{_prefix} \
	--with-packager="%_vendor" \
	--with-packager-version="%product_version" \
	--with-packager-bug-reports="https://bugs.mageia.org" \
	--disable-gtk-doc-html \
%ifnarch %arm %mips
	--enable-valgrind-tests \
%endif
	--disable-rpath \
	--disable-guile

%make

%check
#make check

%install
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

rm -f %{buildroot}%{_libdir}/*.la

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/danetool
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
#{_bindir}/tpmtool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libssl}
%{_libdir}/lib*.so.%{sslmajor}*

%files -n %{libxssl}
%{_libdir}/lib*.so.%{xsslmajor}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls


%changelog
* Mon Aug 10 2015 luigiwalser <luigiwalser> 3.2.21-1.1.mga5
+ Revision: 862356
- add upstream patch to fix GNUTLS-SA-2015-3
- add upstream patch to fix CVE-2015-0294
  rediff upstream patch to fix GNUTLS-SA-2015-2

* Fri Dec 19 2014 luigiwalser <luigiwalser> 3.2.21-1.mga5
+ Revision: 804318
- 3.2.21

* Thu Nov 13 2014 luigiwalser <luigiwalser> 3.2.20-1.mga5
+ Revision: 796753
- 3.2.20 (fixes CVE-2014-8564)

* Wed Oct 15 2014 umeabot <umeabot> 3.2.17-3.mga5
+ Revision: 741358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.17-2.mga5
+ Revision: 679838
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 3.2.17-1.mga5
+ Revision: 670117
- 3.2.17

* Wed Aug 13 2014 luigiwalser <luigiwalser> 3.2.16-2.mga5
+ Revision: 662357
- gnutls-devel requires nettle 2.7 devel, not nettle 3.0 devel

* Mon Aug 04 2014 luigiwalser <luigiwalser> 3.2.16-1.mga5
+ Revision: 659585
- 3.2.16
- BR nettle2.7-devel

  + dmorgan <dmorgan>
    - Rebuild against new libnettle

* Fri May 30 2014 luigiwalser <luigiwalser> 3.2.15-1.mga5
+ Revision: 628016
- 3.2.15 (fixes CVE-2014-3466)

* Sat Apr 26 2014 luigiwalser <luigiwalser> 3.2.13-1.mga5
+ Revision: 618247
- 3.2.13

* Thu Mar 06 2014 luigiwalser <luigiwalser> 3.2.12.1-1.mga5
+ Revision: 600303
- 3.2.12.1

* Mon Mar 03 2014 luigiwalser <luigiwalser> 3.2.12-1.mga5
+ Revision: 598856
- 3.2.12 (fixes CVE-2014-0092)

* Fri Feb 14 2014 oden <oden> 3.2.11-1.mga5
+ Revision: 591051
- 3.2.11 (fixes CVE-2014-1959)

* Tue Feb 04 2014 fwang <fwang> 3.2.10-1.mga5
+ Revision: 581616
- new version 3.2.10

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.2.7-1.mga4
+ Revision: 555427
- 3.2.7

* Tue Nov 05 2013 luigiwalser <luigiwalser> 3.2.6-1.mga4
+ Revision: 549728
- 3.2.6 (fixes regression in CVE-2013-4466 fix)
- 3.2.5 (fixes CVE-2013-4466)

* Sat Oct 19 2013 umeabot <umeabot> 3.2.4-2.mga4
+ Revision: 533585
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 3.2.4-1.mga4
+ Revision: 474006
- new version 3.2.4

* Thu Aug 08 2013 luigiwalser <luigiwalser> 3.2.3-1.mga4
+ Revision: 464788
- 3.2.3

* Mon Jul 15 2013 fwang <fwang> 3.2.2-1.mga4
+ Revision: 454579
- br makeinfo
- new version 3.2.2

* Sun Jun 02 2013 fwang <fwang> 3.2.1-1.mga4
+ Revision: 434882
- disable check as it always broken
- fix linkage
- new version 3.2.1
- update license
- new version 3.2.0

* Fri May 24 2013 luigiwalser <luigiwalser> 3.1.10-1.mga4
+ Revision: 426655
- 3.1.10

* Tue Feb 12 2013 fwang <fwang> 3.1.8-2.mga3
+ Revision: 397999
- add versioned requires

* Mon Feb 11 2013 guillomovitch <guillomovitch> 3.1.8-1.mga3
+ Revision: 397858
- new version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.6-2.mga3
+ Revision: 352394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 3.1.6-1.mga3
+ Revision: 343153
- disable trousers support (tpmtool), possible license problem + will not build
- 3.1.6

  + fwang <fwang>
    - update url

* Sun Nov 25 2012 fwang <fwang> 3.1.5-1.mga3
+ Revision: 321715
- update file list
- new version 3.1.5

* Tue Oct 30 2012 fwang <fwang> 3.1.3-2.mga3
+ Revision: 311613
- rebuild for new libtasn1
- update rpm group

* Sun Oct 14 2012 fwang <fwang> 3.1.3-1.mga3
+ Revision: 305299
- new version 3.1.3

* Sat Sep 29 2012 fwang <fwang> 3.1.2-1.mga3
+ Revision: 299993
- new version 3.1.2
- update file list

* Mon Sep 03 2012 fwang <fwang> 3.1.1-1.mga3
+ Revision: 287473
- new version 3.1.1
- br trousers

* Thu Aug 30 2012 fwang <fwang> 3.1.0-1.mga3
+ Revision: 285840
- new version 3.1.0

* Sun Aug 05 2012 fwang <fwang> 3.0.22-1.mga3
+ Revision: 278673
- new version 3.0.22

* Thu Jul 05 2012 fwang <fwang> 3.0.21-1.mga3
+ Revision: 267829
- new version 3.0.21

* Wed Jun 06 2012 fwang <fwang> 3.0.20-1.mga3
+ Revision: 256040
- new version 3.0.20

* Thu May 31 2012 fwang <fwang> 3.0.19-1.mga3
+ Revision: 251962
- new version 3.0.19

* Tue Apr 03 2012 guillomovitch <guillomovitch> 3.0.18-1.mga2
+ Revision: 228256
- new version

* Wed Mar 21 2012 fwang <fwang> 3.0.17-1.mga2
+ Revision: 225152
- new version 3.0.17

* Sun Mar 04 2012 fwang <fwang> 3.0.15-2.mga2
+ Revision: 217803
- dont know why it is providing a wrong name

* Sun Mar 04 2012 fwang <fwang> 3.0.15-1.mga2
+ Revision: 217753
- update file list
- new version 3.0.15
- new version 3.0.14
- specify mageia info
- new version 3.0.12

* Thu Jan 12 2012 fwang <fwang> 3.0.11-1.mga2
+ Revision: 195122
- new version 3.0.11

* Wed Dec 14 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 181525
- new version 3.0.9

* Tue Nov 22 2011 fwang <fwang> 3.0.8-1.mga2
+ Revision: 170780
- new version 3.0.8
- new version 3.0.5

* Sat Oct 15 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 155340
- bump nettle req
- new version 3.0.4

* Mon Sep 19 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 145486
- new verrsion 3.0.3

* Thu Sep 01 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 137640
- new version 3.0.2
- new version 3.0.1
- update file list
- br p11-kit
- new version 3.0.0 (only nettle backend is supported)

* Fri Jun 24 2011 mikala <mikala> 2.12.7-2.mga2
+ Revision: 113217
- Build with --with-libgcrypt instead of nettle
- Add patch0 from fedora to skip dsa tests
- Add back %%ifnarch for arm & mips (we do have an arm port where valgrind is not available)

* Tue Jun 21 2011 fwang <fwang> 2.12.7-1.mga2
+ Revision: 111574
- new verison 2.12.7 (nettle based)

* Thu Mar 24 2011 boklm <boklm> 2.10.5-2.mga1
+ Revision: 76149
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.10.5-1.mga1
+ Revision: 74054
- new version 2.10.5
- drop buildroot definition

* Wed Jan 12 2011 ahmad <ahmad> 2.10.4-2.mga1
+ Revision: 6790
- drop old/unneeded scriptlets
- imported package gnutls

